package dev.service;

import dev.dao.MenuItemDao;
import dev.model.MenuItem;

import java.util.List;

public class MenuService {

    private final MenuItemDao menuItemDao = new MenuItemDao();

    public void showMenu() {
        List<MenuItem> items = menuItemDao.getAllItems();

        System.out.println("\nAvailable Items:");
        for (MenuItem item : items) {
            System.out.printf("%d. %s - $%.2f%n", item.getId(), item.getName(), item.getPrice());
        }
        System.out.println();
    }
}